SUSE SLES11セキュリティ更新プログラム:xorg-x11-server (SUSE-SU-2017:3025-1)

critical Nessus プラグイン ID 104651

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このxorg-x11-serverの更新では、いくつかの修正が提供されます:これらのセキュリティの問題が修正されました:

- CVE-2017-13723: XkbAtomTextおよびXkbStringTextの異常な文字によるローカルDoSを防止します(bsc#1051150)。

- getentropy()およびgetrandom()使用可能な場合にこれらを使用することで、X.orgサーバー承認Cookieの生成に使用されるランダムデータの生成時のエントロピーを改善します(bsc#1025084)

- CVE-2017-12184,CVE-2017-12185,CVE-2017-12186,CVE-2017-12 187: 複数の拡張での未検証の長さを修正しました(bsc#1063034)

- CVE-2017-12183: XFIXES拡張での未検証の長さを修正しました。(bsc#1063035)

- CVE-2017-12180,CVE-2017-12181,CVE-2017-12182: XFree86-VidMode/XFree86-DGA/XFree86-DRI拡張での未検証の長さを修正しました(bsc#1063037)

- CVE-2017-12179: Xiでの(S)ProcXIBarrierReleasePointerでの整数オーバーフローと未検証の長さを修正しました(bsc#1063038)

- CVE-2017-12178: XiでのProcXIChangeHierarchyでの誤った余分な長さのチェックを修正しました(bsc#1063039)

- CVE-2017-12177: ProcDbeGetVisualInfoでの未検証の可変長リクエストを修正しました(bsc#1063040)

- CVE-2017-12176: ProcEstabishConnectionでの未検証の余分な長さを修正しました(bsc#1063041)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、新たな問題を持ち込まずに、できる限り自動的に整理して書式設定するようにしています。

ソリューション

このSUSEセキュリティ更新をインストールするには、YaST online_updateを使用してください。
別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterpriseソフトウェア開発キット 11-SP4:zypper in -t patch sdksp4-xorg-x11-server-13345=1

SUSE Linux Enterprise Server 11-SP4:zypper in -t patch slessp4-xorg-x11-server-13345=1

SUSE Linux Enterprise Debuginfo 11-SP4:zypper in -t patch dbgsp4-xorg-x11-server-13345=1

お使いのシステムを最新の状態にするには、「zypperパッチ」を使用してください。

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1025084

https://bugzilla.suse.com/show_bug.cgi?id=1051150

https://bugzilla.suse.com/show_bug.cgi?id=1063034

https://bugzilla.suse.com/show_bug.cgi?id=1063035

https://bugzilla.suse.com/show_bug.cgi?id=1063037

https://bugzilla.suse.com/show_bug.cgi?id=1063038

https://bugzilla.suse.com/show_bug.cgi?id=1063039

https://bugzilla.suse.com/show_bug.cgi?id=1063040

https://bugzilla.suse.com/show_bug.cgi?id=1063041

https://www.suse.com/security/cve/CVE-2017-12176/

https://www.suse.com/security/cve/CVE-2017-12177/

https://www.suse.com/security/cve/CVE-2017-12178/

https://www.suse.com/security/cve/CVE-2017-12179/

https://www.suse.com/security/cve/CVE-2017-12180/

https://www.suse.com/security/cve/CVE-2017-12181/

https://www.suse.com/security/cve/CVE-2017-12182/

https://www.suse.com/security/cve/CVE-2017-12183/

https://www.suse.com/security/cve/CVE-2017-12184/

https://www.suse.com/security/cve/CVE-2017-12185/

https://www.suse.com/security/cve/CVE-2017-12186/

https://www.suse.com/security/cve/CVE-2017-12187/

https://www.suse.com/security/cve/CVE-2017-13723/

http://www.nessus.org/u?9472ef92

プラグインの詳細

深刻度: Critical

ID: 104651

ファイル名: suse_SU-2017-3025-1.nasl

バージョン: 3.11

タイプ: local

エージェント: unix

公開日: 2017/11/17

更新日: 2021/1/19

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:xorg-x11-Xvnc, p-cpe:/a:novell:suse_linux:xorg-x11-server, p-cpe:/a:novell:suse_linux:xorg-x11-server-extra, cpe:/o:novell:suse_linux:11

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2017/11/16

脆弱性公開日: 2017/10/10

参照情報

CVE: CVE-2017-12176, CVE-2017-12177, CVE-2017-12178, CVE-2017-12179, CVE-2017-12180, CVE-2017-12181, CVE-2017-12182, CVE-2017-12183, CVE-2017-12184, CVE-2017-12185, CVE-2017-12186, CVE-2017-12187, CVE-2017-13723